#include <bits/stdc++.h>

using namespace std;

int a[500010];
int vr[65];

int snaga[500010][65];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n;
    cin >> n;
    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
        for(int j = 0; j < 65; j++)
        {
            if(a[i] & (1 << j)) vr[j]++;
        }
    }
    bool konj = false;
    bool dis = false;
    for(int i = 0; i < 65; i++)
    {
        if(vr[i] == n) konj = true;
        if(vr[i] % 2 == 0) dis = true;
        if(konj && dis) {cout << "0"; return 0;}
    }

    //for(int i = 0; i < 15; i++) cout << vr[i] << " ";

    return 0;
}